Subject: bug#66938: 30.0.50 [PATCH]: Make EIEIO :accessor behave like :reader when reading a slot's value

From: João Távora <[email-masked]>
Date: Wed, 29 Nov 2023 00:29:31 +0000

Just wanted to say that while I think this is all very fine to
improve on EIEIO's inaccurate emulation of CLOS, this breaks
a lot of stuff, broke Eglot and Jsonrpc, immediately.

This is mainly because EIEIO users like me got sloppy with
their slot definitions and don't put explicit :initforms
in them, instead relying on this quirk.

Oh well, I'm fixing this now as part of bug#67480, but
we should definitely expect flak more or less proportional
to the use of EIEIO out there (and in here).

BTW another reason I get sloppy is that EIEIO doesn't allow
me to use a

(some-slot :initform (error "required!") ...)

like I do in CLOS.

The initform is meant to be evaluated during instantiation
(that's why it's a "form" ;-) )

João